in scala.xml
class PrefixedAttribute

`class` PrefixedAttribute
  `extends` scala.xml.MetaData
  `with` scala.ScalaObject

  prefixed attributes always have a non-null namespace.

Parameters:
  `value -` the attribute value, which may not be null

Constructor Summary
| `def` this (pre: java.lang.String, key: java.lang.String, value: java.lang.String, next: scala.xml.MetaData) same as this(key, Utility.parseAttributeValue(value), next)
| `def` this (pre: java.lang.String, key: java.lang.String, value: scala.Seq[scala.xml.Node], next: scala.xml.MetaData)

Val Summary
| `val` key : java.lang.String
| `val` next : scala.xml.MetaData
| `val` pre : java.lang.String
| `val` value : scala.Seq[scala.xml.Node]

Def Summary
| `def` apply (key: java.lang.String) : scala.Seq[scala.xml.Node] forwards the call to next (because caller looks for unprefixed attribute
| `def` apply (namespace: java.lang.String, scope: scala.xml.NamespaceBinding, key: java.lang.String) : scala.Seq[scala.xml.Node] gets attribute value of qualified (prefixed) attribute with given key
| `def` copy (next: scala.xml.MetaData) : scala.xml.PrefixedAttribute Returns a copy of this unprefixed attribute with the given next field.
| `def` equals1 (m: scala.xml.MetaData) : scala.Boolean
| `def` getNamespace (owner: scala.xml.Node) : java.lang.String
`override` | `def` hashCode : scala.Int returns the hashcode.
`final` | `def` isPrefixed : scala.Boolean returns true
| `def` remove (key: java.lang.String) : scala.xml.PrefixedAttribute
| `def` remove (namespace: java.lang.String, scope: scala.xml.NamespaceBinding, key: java.lang.String) : scala.xml.MetaData
| `def` toString1 (sb: scala.compat.StringBuilder) : scala.Unit appends string representation of only this attribute to stringbuffer
| `def` wellformed (scope: scala.xml.NamespaceBinding) : scala.Boolean

Constructor Detail

`def` this (pre: java.lang.String, key: java.lang.String, value: java.lang.String, next: scala.xml.MetaData)

  same as this(key, Utility.parseAttributeValue(value), next)

`def` this (pre: java.lang.String, key: java.lang.String, value: scala.Seq[scala.xml.Node], next: scala.xml.MetaData)

Val Detail

`val` key : java.lang.String

`val` next : scala.xml.MetaData

`val` pre : java.lang.String

`val` value : scala.Seq[scala.xml.Node]

Def Detail

`def` apply (key: java.lang.String): scala.Seq[scala.xml.Node]

  forwards the call to next (because caller looks for unprefixed attribute

`def` apply (namespace: java.lang.String, scope: scala.xml.NamespaceBinding, key: java.lang.String): scala.Seq[scala.xml.Node]

  gets attribute value of qualified (prefixed) attribute with given key

`def` copy (next: scala.xml.MetaData): scala.xml.PrefixedAttribute

  Returns a copy of this unprefixed attribute with the given next field.

`def` equals1 (m: scala.xml.MetaData): scala.Boolean

`def` getNamespace (owner: scala.xml.Node): java.lang.String

`override def` hashCode : scala.Int

  returns the hashcode.

`final def` isPrefixed : scala.Boolean

  returns true

`def` remove (key: java.lang.String): scala.xml.PrefixedAttribute

`def` remove (namespace: java.lang.String, scope: scala.xml.NamespaceBinding, key: java.lang.String): scala.xml.MetaData

`def` toString1 (sb: scala.compat.StringBuilder): scala.Unit

  appends string representation of only this attribute to stringbuffer

`def` wellformed (scope: scala.xml.NamespaceBinding): scala.Boolean